rio_open_outb_mbox
Prev | PPC32 support | Next

## Name

rio_open_outb_mbox — Initialize MPC85xx outbound mailbox

## Synopsis

`int rio_open_outb_mbox (` | struct rio_mport * | mport,
| void * | dev_id,
| int | mbox,
| int | entries`)`;

## Arguments

`mport`

  Master port implementing the outbound message unit

`dev_id`

  Device specific pointer to pass on event

`mbox`

  Mailbox to open

`entries`

  Number of entries in the outbound mailbox ring

## Description

Initializes buffer ring, request the outbound message interrupt, and enables the outbound message unit. Returns `0` on success and `-EINVAL` or `-ENOMEM` on failure.

Prev | Up | Next
mpc85xx_rio_tx_handler | Home | rio_close_outb_mbox